# TdApi.MessageChatSetBackground (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: MessageChatSetBackground

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageChatSetBackground

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessageChatSetBackground

Enclosing class:
  TdApi

public static final class TdApi.MessageChatSetBackground extends TdApi.MessageContent
A new background was set in the chat.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.ChatBackground`
`background`
The new background.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`oldBackgroundMessageId`
Identifier of the message with a previously set same background; 0 if none.

## Constructor Summary

Constructors
Constructor
Description
`MessageChatSetBackground()`
A new background was set in the chat.
`MessageChatSetBackground(long oldBackgroundMessageId, TdApi.ChatBackground background)`
A new background was set in the chat.
`MessageChatSetBackground(DataInput input)`
A new background was set in the chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### oldBackgroundMessageId

public long oldBackgroundMessageId
Identifier of the message with a previously set same background; 0 if none. Can be an identifier of a deleted message.

### background

public TdApi.ChatBackground background
The new background.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MessageChatSetBackground

public MessageChatSetBackground()
A new background was set in the chat.

### MessageChatSetBackground

public MessageChatSetBackground(long oldBackgroundMessageId, TdApi.ChatBackground background)
A new background was set in the chat.

Parameters:
  `oldBackgroundMessageId` - Identifier of the message with a previously set same background; 0 if none. Can be an identifier of a deleted message.
  `background` - The new background.

### MessageChatSetBackground

public MessageChatSetBackground(DataInput input) throws IOException
A new background was set in the chat.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`